> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a payment



## OpenAPI

````yaml openapi/payments.yaml get /v1/payments/{id}
openapi: 3.0.2
info:
  version: ${version}
  title: Crypto Deposits API
  description: >
    The Circle Payments API allows you to take payments from your end users via
    traditional methods such as debit & credit cards and receive settlement in
    USDC.


    The Circle Payments API has been designed with any business or internet
    commerce in mind, not just crypto applications, and it's based on Circle's
    extensive experience processing millions of card payments since 2014.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Crypto Payment Intents
    description: Create and track intent for end user to pay via crypto.
paths:
  /v1/payments/{id}:
    get:
      tags:
        - Payments
      summary: Get a payment
      operationId: getPayment
      parameters:
        - $ref: '#/components/parameters/IdPath'
      responses:
        '200':
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          description: Successfully retrieved a payment.
          content:
            application/json:
              schema:
                title: GetPaymentResponse
                properties:
                  data:
                    oneOf:
                      - $ref: '#/components/schemas/FiatPaymentPolymorphic'
                      - $ref: '#/components/schemas/CryptoPayment'
              examples:
                Fiat Payment:
                  value:
                    data:
                      id: b8627ae8-732b-4d25-b947-1df8f4007a29
                      type: payment
                      merchantId: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                      merchantWalletId: '212000'
                      amount:
                        amount: '3.14'
                        currency: USD
                      fromAmount:
                        amount: '3.14'
                        currency: EUR
                      source:
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        type: card
                      description: Payment
                      status: pending
                      requiredAction:
                        type: three_d_secure_required
                        redirectUrl: https://example.org
                      verification:
                        avs: D
                        cvv: not_requested
                        threeDSecure: pass
                        eci: '00'
                      originalPayment:
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        type: payment
                        merchantId: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                        merchantWalletId: '212000'
                        amount:
                          amount: '3.14'
                          currency: USD
                        source:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: card
                        description: Payment
                        status: pending
                        captured: false
                        captureAmount:
                          amount: '3.14'
                          currency: USD
                        captureDate: '2020-04-10T02:13:30.000Z'
                        requiredAction:
                          type: three_d_secure_required
                          redirectUrl: https://example.org
                        cancel:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: cancel
                          description: Payment
                          status: pending
                          createDate: '2020-04-10T02:13:30.000Z'
                        refunds:
                          - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: payment
                            amount:
                              amount: '3.14'
                              currency: USD
                            description: Payment
                            status: pending
                            requiredAction:
                              type: three_d_secure_required
                              redirectUrl: https://example.org
                            fees:
                              amount: '3.14'
                              currency: USD
                            createDate: '2020-04-10T02:13:30.000Z'
                        fees:
                          amount: '3.14'
                          currency: USD
                        channel: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                      cancel:
                        id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        type: cancel
                        merchantId: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                        merchantWalletId: '212000'
                        amount:
                          amount: '3.14'
                          currency: USD
                        source:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: card
                        description: Payment
                        status: pending
                        originalPayment:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: payment
                          amount:
                            amount: '3.14'
                            currency: USD
                          description: Payment
                          status: pending
                          requiredAction:
                            type: three_d_secure_required
                            redirectUrl: https://example.org
                          fees:
                            amount: '3.14'
                            currency: USD
                          createDate: '2020-04-10T02:13:30.000Z'
                        fees:
                          amount: '3.14'
                          currency: USD
                        channel: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
                      refunds:
                        - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          type: refund
                          merchantId: fc988ed5-c129-4f70-a064-e5beb7eb8e32
                          merchantWalletId: '212000'
                          amount:
                            amount: '3.14'
                            currency: USD
                          source:
                            id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: card
                          description: Payment
                          status: pending
                          originalPayment:
                            id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: payment
                            amount:
                              amount: '3.14'
                              currency: USD
                            description: Payment
                            status: pending
                            requiredAction:
                              type: three_d_secure_required
                              redirectUrl: https://example.org
                            fees:
                              amount: '3.14'
                              currency: USD
                            createDate: '2020-04-10T02:13:30.000Z'
                          cancel:
                            id: b8627ae8-732b-4d25-b947-1df8f4007a29
                            type: cancel
                            description: Payment
                            status: pending
                            createDate: '2020-04-10T02:13:30.000Z'
                          fees:
                            amount: '3.14'
                            currency: USD
                          channel: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
                          createDate: '2020-04-10T02:13:30.000Z'
                          updateDate: '2020-04-10T02:13:30.000Z'
                      fees:
                        amount: '3.14'
                        currency: USD
                      trackingRef: '24910599141085313498894'
                      externalRef: YYYYMMDDXXXXXXXX012345
                      errorCode: payment_failed
                      metadata:
                        email: satoshi@circle.com
                        phoneNumber: '+14155555555'
                      channel: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
                      riskEvaluation:
                        decision: approved
                        reason: '3000'
                      createDate: '2020-04-10T02:13:30.000Z'
                      updateDate: '2020-04-10T02:13:30.000Z'
                Crypto Payment:
                  value:
                    data:
                      id: 66c56b6a-fc79-338b-8b94-aacc4f0f18de
                      type: payment
                      status: paid
                      amount:
                        amount: '1.00'
                        currency: USD
                      fees:
                        amount: '0.01'
                        currency: USD
                      networkFees:
                        amount: '0.01'
                        currency: USD
                        feePayer: endUser
                      merchantId: f1397191-56e6-42fd-be86-0a7b9bd91522
                      merchantWalletId: '1000999922'
                      paymentIntentId: 6e4d4047-db14-4c09-b238-1215aee50d03
                      settlementAmount:
                        amount: '1.00'
                        currency: USD
                      fromAddresses:
                        chain: ETH
                        addresses:
                          - '0x0d4344cFF68F72A5B9Abded37CA5862941a62050'
                      depositAddress:
                        chain: ETH
                        address: '0x97de855690955e0da79ce5c1b6804847e7070c7f'
                      transactionHash: >-
                        0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906
                      createDate: '2022-07-21T20:16:35.092852Z'
                      updateDate: '2022-07-21T20:19:24.719313Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: b3d9d2d5-4c12-4946-a09d-953e82fae2b0
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    FiatPaymentPolymorphic:
      type: object
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          description: Type of the payment object.
          type: string
          enum:
            - payment
            - refund
            - cancel
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fromAmount:
          $ref: '#/components/schemas/FiatMoney'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/PaymentStatus'
        requiredAction:
          $ref: '#/components/schemas/RequiredAction'
        verification:
          $ref: '#/components/schemas/PaymentVerificationResponse'
        originalPayment:
          $ref: '#/components/schemas/FiatPayment'
        cancel:
          $ref: '#/components/schemas/FiatCancel'
        refunds:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/FiatRefund'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        trackingRef:
          description: Payment tracking reference. Will be present once known.
          type: string
          nullable: true
          example: '24910599141085313498894'
        externalRef:
          $ref: '#/components/schemas/ExternalRef'
        errorCode:
          $ref: '#/components/schemas/PaymentErrorCode'
        metadata:
          $ref: '#/components/schemas/MetadataPhoneEmail'
        channel:
          $ref: '#/components/schemas/Channel'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    CryptoPayment:
      type: object
      description: Status information of the related payment.
      required:
        - id
        - type
        - merchantId
        - amount
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - payment
            - refund
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/CryptoPaymentsOptionalAmountMoney'
        status:
          $ref: '#/components/schemas/PaymentStatus'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        networkFees:
          $ref: '#/components/schemas/CryptoPaymentNetworkFee'
        paymentIntentId:
          type: string
          format: uuid
          example: 6e4d4047-db14-4c09-b238-1215aee50d03
        settlementAmount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fromAddresses:
          type: object
          properties:
            chain:
              $ref: '#/components/schemas/Chain'
            addresses:
              type: array
              items:
                $ref: '#/components/schemas/Address'
        depositAddress:
          type: object
          properties:
            chain:
              $ref: '#/components/schemas/Chain'
            address:
              type: string
              example: '0x97de855690955e0da79ce5c1b6804847e7070c7f'
            addressTag:
              $ref: '#/components/schemas/AddressTag'
        transactionHash:
          type: string
          example: '0x7351585460bd657f320b9afa02a52c26d89272d0d10cc29913eb8b28e64fd906'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
        riskEvaluation:
          $ref: '#/components/schemas/RiskEvaluation'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    IdMerchant:
      type: string
      description: Unique system generated identifier for the merchant.
      format: uuid
      example: fc988ed5-c129-4f70-a064-e5beb7eb8e32
    MerchantWalletId:
      type: string
      description: Unique system generated identifier for the wallet of the merchant.
      maxLength: 36
      example: '212000'
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    FiatMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    SourceResponse:
      type: object
      description: The payment source.
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the source.
          enum:
            - card
            - ach
            - wire
            - sepa
    PaymentStatus:
      type: string
      description: >-
        Enumerated status of the payment. `pending` means the payment is waiting
        to be processed. `confirmed` means the payment has been approved by the
        bank and the merchant can treat it as successful, but settlement funds
        are not yet available to the merchant.  `paid` means settlement funds
        have been received and are available to the merchant. `failed` means
        something went wrong (most commonly that the payment was denied).
        `action_required` means that additional steps are required to process
        this payment; refer to `requiredAction` for more details. Terminal
        states are `paid` and `failed`.
      enum:
        - pending
        - confirmed
        - paid
        - failed
        - action_required
    RequiredAction:
      type: object
      description: >-
        When the payment status is `action_required`, this object summarizes the
        required additional steps.
      required:
        - type
        - redirectUrl
      properties:
        type:
          type: string
          description: >-
            The type of action that is required to proceed with the payment.
            Currently only one type is supported.
          enum:
            - three_d_secure_required
        redirectUrl:
          type: string
          description: The URL to bring the user to in order to complete the payment.
          example: https://example.org
    PaymentVerificationResponse:
      type: object
      description: >-
        Indicates the status of the payment verification. This property will be
        present once the payment is confirmed.
      required:
        - avs
        - cvv
      properties:
        avs:
          $ref: '#/components/schemas/AvsResults'
        cvv:
          $ref: '#/components/schemas/CvvResults'
        threeDSecure:
          $ref: '#/components/schemas/ThreeDsResult'
        eci:
          $ref: '#/components/schemas/Eci'
    FiatPayment:
      type: object
      description: >-
        Status information of the related payment. This property is only present
        on refund or cancel items.
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          description: Type of the payment object.
          type: string
          enum:
            - payment
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fromAmount:
          $ref: '#/components/schemas/FiatMoney'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/PaymentStatus'
        captured:
          description: >-
            Determines if a payment has successfully been captured. This
            property is only present for payments that did not use auto capture.
          type: boolean
        captureAmount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        captureDate:
          $ref: '#/components/schemas/UtcTimestamp'
        requiredAction:
          $ref: '#/components/schemas/RequiredAction'
        cancel:
          $ref: '#/components/schemas/PaymentInfoCancel'
        refunds:
          type: array
          items:
            $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    FiatCancel:
      type: object
      description: >-
        Status information of the related cancel. This property is only present
        on canceled payment or refund items.
      nullable: true
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - cancel
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        originalPayment:
          $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    FiatRefund:
      type: object
      required:
        - id
        - type
        - merchantId
        - amount
        - source
        - status
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          description: Type of the payment object.
          type: string
          enum:
            - refund
        merchantId:
          $ref: '#/components/schemas/IdMerchant'
        merchantWalletId:
          $ref: '#/components/schemas/MerchantWalletId'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        source:
          $ref: '#/components/schemas/SourceResponse'
        description:
          description: Enumerated description of the payment.
          type: string
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        originalPayment:
          $ref: '#/components/schemas/PaymentInfoPaymentAndRefund'
        cancel:
          $ref: '#/components/schemas/PaymentInfoCancel'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        channel:
          $ref: '#/components/schemas/Channel'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    ExternalRef:
      type: string
      description: >
        External network identifier which will be present once provided from the
        applicable network. 


        Examples:

        * **Input/Output Message Accountability Data (IMAD/OMAD)**: unique
        number given to each FedWire payment when using the Federal Reserve Bank
        Service which can be used to investigate and track wire transfers.
      example: YYYYMMDDXXXXXXXX012345
    PaymentErrorCode:
      type: string
      description: >-
        Indicates the failure reason of a payment. Only present for payments in
        failed state. Possible values are [`payment_failed`,
        `payment_fraud_detected`, `payment_denied`,
        `payment_not_supported_by_issuer`, `payment_not_funded`,
        `payment_unprocessable`, `payment_stopped_by_issuer`,
        `payment_canceled`, `payment_returned`, `payment_failed_balance_check`,
        `card_failed`, `card_invalid`, `card_address_mismatch`,
        `card_zip_mismatch`, `card_cvv_invalid`, `card_expired`,
        `card_limit_violated`, `card_not_honored`, `card_cvv_required`,
        `credit_card_not_allowed`, `card_account_ineligible`,
        `card_network_unsupported`, `channel_invalid`,
        `unauthorized_transaction`, `bank_account_ineligible`,
        `bank_transaction_error`, `invalid_account_number`, `invalid_wire_rtn`,
        `invalid_ach_rtn`, `vendor_inactive`]'
      nullable: true
      enum:
        - payment_failed
        - payment_fraud_detected
        - payment_denied
        - payment_not_supported_by_issuer
        - payment_not_funded
        - payment_unprocessable
        - payment_stopped_by_issuer
        - payment_canceled
        - payment_returned
        - payment_failed_balance_check
        - card_failed
        - card_invalid
        - card_address_mismatch
        - card_zip_mismatch
        - card_cvv_invalid
        - card_expired
        - card_limit_violated
        - card_not_honored
        - card_cvv_required
        - card_restricted,
        - card_account_ineligible
        - card_network_unsupported
        - channel_invalid
        - unauthorized_transaction
        - bank_account_ineligible
        - bank_transaction_error
        - invalid_account_number
        - invalid_wire_rtn
        - invalid_ach_rtn
        - ref_id_invalid
        - account_name_mismatch
        - account_number_mismatch
        - account_ineligible
        - wallet_address_mismatch
        - customer_name_mismatch
        - institution_name_mismatch
        - vendor_inactive
    MetadataPhoneEmail:
      type: object
      required:
        - email
      properties:
        email:
          $ref: '#/components/schemas/Email'
        phoneNumber:
          $ref: '#/components/schemas/PhoneNumber'
    Channel:
      type: string
      format: uuid
      description: >-
        The channel identifier that can be set for the payment. When not
        provided, the default channel is used.
      example: ba943ff1-ca16-49b2-ba55-1057e70ca5c7
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    CryptoPaymentsOptionalAmountMoney:
      type: object
      required:
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
            - ETH
            - BTC
    CryptoPaymentNetworkFee:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
        currency:
          type: string
          description: Currency code for the amount.
          enum:
            - USD
            - EUR
            - BTC
            - ETH
        feePayer:
          type: string
          description: The party that pays the network fee based on merchant configuration.
          enum:
            - endUser
            - merchant
    Chain:
      type: string
      description: >
        A blockchain that a given currency is available on.


        **Note:** Arc (`ARC`) is only available in the sandbox environment
        (`api-sandbox.circle.com`).
      enum:
        - ALGO
        - APTOS
        - ARB
        - ARC
        - AVAX
        - BASE
        - BTC
        - CELO
        - CODEX
        - ETH
        - HBAR
        - HYPEREVM
        - INK
        - LINEA
        - NEAR
        - NOBLE
        - OP
        - PLUME
        - PAH
        - POLY
        - SEI
        - SOL
        - SONIC
        - SUI
        - UNI
        - WORLDCHAIN
        - XDC
        - XLM
        - XRP
        - ZKS
        - ZKSYNC
    Address:
      type: string
      description: >
        An alphanumeric string representing a blockchain address. Formatting
        varies by blockchain.

        Be sure to preserve the exact formatting and capitalization of the
        address.  

        **Important:** For Ripple (XRP) addresses, only the classic address
        format is supported (for example,
        `rPEPPER7kfTD9w2To4CQk6UCfuHM9c6GDY`).  

        The `x-address` format is NOT supported currently (for example,
        `XV5sbjUmgPpvXv4ixFWZ5ptAYZ6PD2q1qM6owqNbug8W6KV`).
      example: '0x8381470ED67C3802402dbbFa0058E8871F017A6F'
    AddressTag:
      type: string
      description: >-
        The secondary identifier for a blockchain address. An example of this is
        the memo field on the Stellar network, which can be text, id, or hash
        format.
      nullable: true
      example: '123456789'
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
    AvsResults:
      type: string
      description: >-
        Status of the AVS check. Raw AVS response, expressed as an upper-case
        letter. `not_requested` indicates check was not made. `pending` is
        pending/processing.
      example: D
    CvvResults:
      description: >-
        Enumerated status of the check. `not_requested` indicates check was not
        made. `pass` indicates value is correct. `fail` indicates value is
        incorrect. `unavailable` indicates card issuer did not do the provided
        check. `pending` indicates check is pending/processing.
      type: string
      enum:
        - not_requested
        - pass
        - fail
        - unavailable
        - pending
    ThreeDsResult:
      type: string
      description: >-
        Enumerated status of the check. `pass` indicates successful 3DS
        authentication. `fail` indicates failed 3DS authentication.
      enum:
        - pass
        - fail
    Eci:
      type: string
      description: >-
        ECI (electronic commerce indicator) value returned by Directory Servers
        (namely Visa, MasterCard, JCB, and American Express) indicating the
        outcome of authentication attempted on transactions enforced by 3DS.
      enum:
        - '00'
        - '01'
        - '02'
        - '05'
        - '06'
        - '07'
    PaymentInfoCancel:
      type: object
      description: >-
        Status information of the related cancel. This property is only present
        on canceled payment or refund items.
      nullable: true
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - cancel
        description:
          description: Enumerated description of the payment item.
          type: string
          nullable: true
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/CancelRefundReversalStatus'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
    PaymentInfoPaymentAndRefund:
      type: object
      description: >-
        Status information of the related payment. This property is only present
        on refund or cancel items.
      properties:
        id:
          $ref: '#/components/schemas/Id'
        type:
          type: string
          description: Type of the payment object.
          enum:
            - payment
            - refund
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        description:
          description: Enumerated description of the payment item.
          type: string
          nullable: true
          enum:
            - Payment
        status:
          $ref: '#/components/schemas/PaymentStatus'
        requiredAction:
          $ref: '#/components/schemas/RequiredAction'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
    CancelRefundReversalStatus:
      type: string
      enum:
        - pending
        - confirmed
        - paid
        - failed
      description: >-
        Enumerated status of the payment. `pending` means the payment is waiting
        to be processed. `confirmed` means the payment has been approved by the
        bank and the merchant can treat it as successful, but settlement funds
        are not yet available to the merchant.  `paid` means settlement funds
        have been received and are available to the merchant. `failed` means
        something went wrong (most commonly that the payment was denied).
        Terminal states are `paid` and `failed`.
    Email:
      type: string
      description: Email of the user.
      maxLength: 1024
      example: satoshi@circle.com
    PhoneNumber:
      type: string
      description: >-
        Phone number of the user in E.164 format. We recommend using a library
        such as [libphonenumber](https://github.com/google/libphonenumber) to
        parse and validate phone numbers.
      maxLength: 16
      pattern: /\+?[1-9]\d{1,14}/
      example: '+14155555555'
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````